from pydantic import BaseModel
from typing import Optional

class SearchRequest(BaseModel):
    query: str
    n_results: int = 10
    period: Optional[str]=None

class SearchResult(BaseModel):
    title: str
    link: str
    snippet: Optional[str]=""

class SearchResponse(BaseModel):
    query: str
    result: list[SearchResult]
